View Issue Details

IDProjectCategoryView StatusLast Update
0004225SymmetricDSBugpublic2020-06-04 17:55
Reportertmdoit Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.3 
Target Version3.11.9Fixed in Version3.11.9 
Summary0004225: Configuration SQLite as master db - crashes after first fresh configuration
DescriptionError from logs:
2020-01-03 00:39:03,091 ERROR [regsvr] [a] [background-refresher-1] Exception while refreshing class com.jumpmind.symmetric.console.impl.aU StackTraceKey.init [IllegalArgumentException:1166924272]
java.lang.IllegalArgumentException: Date and Patterns must not be null
     at org.jumpmind.util.FormatUtils.parseDate(FormatUtils.java:286)
     at org.jumpmind.util.FormatUtils.parseDate(FormatUtils.java:281)
     at org.jumpmind.db.platform.sqlite.SqliteJdbcSqlTemplate.getObjectFromResultSet(SqliteJdbcSqlTemplate.java:78)
     at org.jumpmind.db.sql.JdbcSqlTemplate$1.execute(JdbcSqlTemplate.java:173)
     at org.jumpmind.db.sql.JdbcSqlTemplate.execute(JdbcSqlTemplate.java:501)
     at org.jumpmind.db.sql.JdbcSqlTemplate.queryForObject(JdbcSqlTemplate.java:156)
     at org.jumpmind.symmetric.service.impl.StatisticService.getMinNodeStats(StatisticService.java:100)
     at com.jumpmind.symmetric.console.impl.bX.a(ThroughputPanel.java:184)
     at com.jumpmind.symmetric.console.impl.aU.onBackgroundDataRefresh(DashboardScreen.java:97)
     at com.jumpmind.symmetric.console.ui.a.a(BackgroundRefresherService.java:99)
     at com.jumpmind.symmetric.console.ui.a$3.run(BackgroundRefresherService.java:142)
     at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
     at java.util.concurrent.FutureTask.run(FutureTask.java:266)
     at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)
     at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)
     at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
     at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
     at java.lang.Thread.run(Thread.java:748)
Steps To ReproduceOn fresh installation, first run (in my case from docker image):
1. Select "Master"
2. Choose "SQLite"
3. Set db name
4. Set user and password
5. Do next steps
Additional InformationNo problem with H2 db.
Tagsdialect: sqlite

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 5c80717c

2020-05-21 11:14:43

admin

Details Diff
0004225: fix npe converting to date Affected Issues
0004225
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/sqlite/SqliteJdbcSqlTemplate.java Diff File

Issue History

Date Modified Username Field Change
2020-01-03 00:45 tmdoit New Issue
2020-01-03 00:45 tmdoit Tag Attached: SQLite
2020-01-03 00:46 tmdoit Tag Attached: Master
2020-05-21 15:13 elong Tag Detached: Master
2020-05-21 15:13 elong Tag Detached: SQLite
2020-05-21 15:13 elong Tag Attached: dialect: sqlite
2020-05-21 15:15 elong Assigned To => elong
2020-05-21 15:15 elong Status new => resolved
2020-05-21 15:15 elong Resolution open => fixed
2020-05-21 15:15 elong Fixed in Version => 3.11.9
2020-05-21 15:15 elong Target Version => 3.11.9
2020-05-26 16:37 elong Status resolved => closed
2020-06-04 17:55 admin Changeset attached => SymmetricDS 3.11 5c80717c